Link an email to a workflow
Link a Design Studio email to a workflow: a transactional message, a newsletter, a campaign, or an API-triggered broadcast. After you link an email, publish it to push the content live.
You can only link an email to one workflow or action at a time. If the workflow or action is already linked to a different Design Studio email, the request fails with a 409 unless you pass "force": true, which replaces (and unlinks) the other email.
- Type: stringFormat: uuididrequired
The UUID of the email. If your email has multiple languages, you must provide the ID of the default language template. This links the workflow to all of the language variants for the template.
- Type: objecttargetrequired
The workflow to link the content to.
- Type: booleanforce
Replace an existing link if the workflow or action is already linked to different Design Studio content.
- application/json
- application/json
- application/json
- application/json
- application/json
curl https://api.customer.io/v1/design_studio/emails/123e4567-e89b-12d3-a456-426614174000/link \
--request POST \
--header 'Content-Type: application/json' \
--data '{
"target": {
"type": "campaign_action",
"action_id": 42
},
"force": false
}'
{
"node_id": "123e4567-e89b-12d3-a456-426614174000",
"template_id": 987654,
"target": {
"type": "campaign_action",
"action_id": 42
}
}Email linked